OpenNMS API 1.2.9

## org.opennms.web.outage
Class Outage

    java.lang.Object
      org.opennms.web.outage.Outage

public class Outage
extends java.lang.Object

A JavaBean for holding information about a single outage.

Author:
  Lawrence Karnowski

Field Summary
`protected java.lang.String` `hostname`
`protected java.lang.String` `ipAddress`
`protected java.lang.Integer` `lostServiceEventId`
`protected java.lang.String` `lostServiceNotificationAcknowledgedBy`
`protected java.lang.Integer` `lostServiceNotificationId`
`protected java.util.Date` `lostServiceTime`
`protected int` `nodeId`
`protected java.lang.String` `nodeLabel`
`protected int` `outageId`
`protected java.lang.Integer` `regainedServiceEventId`
`protected java.util.Date` `regainedServiceTime`
`protected int` `serviceId`
`protected java.lang.String` `serviceName`

Constructor Summary
`protected` `Outage()`

`protected`

`Outage(int outageId, int nodeId, java.lang.String nodeLabel, java.lang.String ipAddress, java.lang.String hostname, int serviceId, java.lang.String serviceName, java.util.Date lostServiceTime, java.util.Date regainedServiceTime, java.lang.Integer lostServiceEventId, java.lang.Integer regainedServiceEventId, java.lang.Integer lostServiceNotificationId, java.lang.String lostServiceNotificationAcknowledgedBy)`

Method Summary
`java.lang.String` `getHostname()` can be null
`int` `getId()`
`java.lang.String` `getIpAddress()`
`java.lang.Integer` `getLostServiceEventId()` can be null
`java.lang.String` `getLostServiceNotificationAcknowledgedBy()` can be null
`java.lang.Integer` `getLostServiceNotificationId()` can be null
`java.util.Date` `getLostServiceTime()`
`int` `getNodeId()`
`java.lang.String` `getNodeLabel()` can be null
`java.lang.Integer` `getRegainedServiceEventId()` can be null
`java.util.Date` `getRegainedServiceTime()` can be null
`int` `getServiceId()`
`java.lang.String` `getServiceName()` can be null
`java.util.Date` `getTimeDown()` Deprecated. Please use `getLostServiceTimeInstead`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outageId

    protected int outageId

### nodeId

    protected int nodeId

### ipAddress

    protected java.lang.String ipAddress

### hostname

    protected java.lang.String hostname

### nodeLabel

    protected java.lang.String nodeLabel

### serviceId

    protected int serviceId

### serviceName

    protected java.lang.String serviceName

### lostServiceTime

    protected java.util.Date lostServiceTime

### regainedServiceTime

    protected java.util.Date regainedServiceTime

### lostServiceEventId

    protected java.lang.Integer lostServiceEventId

### regainedServiceEventId

    protected java.lang.Integer regainedServiceEventId

### lostServiceNotificationId

    protected java.lang.Integer lostServiceNotificationId

### lostServiceNotificationAcknowledgedBy

    protected java.lang.String lostServiceNotificationAcknowledgedBy

Constructor Detail

### Outage

    protected Outage()

### Outage

    protected Outage(int outageId,
                     int nodeId,
                     java.lang.String nodeLabel,
                     java.lang.String ipAddress,
                     java.lang.String hostname,
                     int serviceId,
                     java.lang.String serviceName,
                     java.util.Date lostServiceTime,
                     java.util.Date regainedServiceTime,
                     java.lang.Integer lostServiceEventId,
                     java.lang.Integer regainedServiceEventId,
                     java.lang.Integer lostServiceNotificationId,
                     java.lang.String lostServiceNotificationAcknowledgedBy)

Method Detail

### getId

    public int getId()

### getNodeId

    public int getNodeId()

### getIpAddress

    public java.lang.String getIpAddress()

### getHostname

    public java.lang.String getHostname()

  can be null

### getNodeLabel

    public java.lang.String getNodeLabel()

  can be null

### getServiceId

    public int getServiceId()

### getServiceName

    public java.lang.String getServiceName()

  can be null

### getLostServiceTime

    public java.util.Date getLostServiceTime()

### getRegainedServiceTime

    public java.util.Date getRegainedServiceTime()

  can be null

### getLostServiceEventId

    public java.lang.Integer getLostServiceEventId()

  can be null

### getRegainedServiceEventId

    public java.lang.Integer getRegainedServiceEventId()

  can be null

### getLostServiceNotificationId

    public java.lang.Integer getLostServiceNotificationId()

  can be null

### getLostServiceNotificationAcknowledgedBy

    public java.lang.String getLostServiceNotificationAcknowledgedBy()

  can be null

### getTimeDown

    public java.util.Date getTimeDown()

  Deprecated. Please use `getLostServiceTimeInstead`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.